{pkgs, ...}: {
  xdg.configFile."spotify-player/theme.toml".text = builtins.readFile (pkgs.fetchFromGitHub {
      owner = "catppuccin";
      repo = "spotify-player";
      rev = "816e48fe7ade959dab920d83a7a88a952c48ede3";
      sha256 = "sha256-Xl8GoAzuSfYmFb5ohS4H5we9q+0DTrCwQ3WubPsnxGg=";
    }
    + "/src/theme.toml");
  xdg.configFile."spotify-player/app.toml".source = (pkgs.formats.toml {}).generate "spotify-player-config" {
    client_id = "41af4976ba70474fbd541ee8764a2cda";
    theme = "Catppuccin-mocha";
    enable_notify = false;
    enable_media_control = true;
    device.volume = 100;
  };
  programs.nushell.shellAliases.spt = "spotify_player";
}
